
package SHARK2.keymon.com.mx;

import anywheresoftware.b4a.pc.PCBA;
import anywheresoftware.b4a.pc.RemoteObject;

public class c_subs {
    public static RemoteObject myClass;
	public c_subs() {
	}
    public static PCBA staticBA = new PCBA(null, c_subs.class);

public static RemoteObject __c = RemoteObject.declareNull("anywheresoftware.b4a.keywords.Common");
public static RemoteObject _reqmanager = RemoteObject.declareNull("SHARK2.keymon.com.mx.dbrequestmanager");
public static RemoteObject _eventname = RemoteObject.createImmutable("");
public static RemoteObject _callback = RemoteObject.declareNull("Object");
public static RemoteObject _phn = RemoteObject.declareNull("anywheresoftware.b4a.phone.Phone");
public static RemoteObject _devmodel = RemoteObject.createImmutable("");
public static RemoteObject _db = RemoteObject.declareNull("anywheresoftware.b4a.sql.SQL");
public static RemoteObject _kmt = RemoteObject.declareNull("anywheresoftware.b4a.sql.SQL");
public static RemoteObject _errorlog = RemoteObject.declareNull("anywheresoftware.b4a.sql.SQL");
public static RemoteObject _ssid = RemoteObject.createImmutable("");
public static RemoteObject _reqslist = RemoteObject.declareNull("anywheresoftware.b4a.objects.collections.List");
public static RemoteObject _reqerror = RemoteObject.createImmutable(false);
public static RemoteObject _subslogs = RemoteObject.createImmutable(false);
public static RemoteObject _dateutils = RemoteObject.declareNull("b4a.example.dateutils");
public static SHARK2.keymon.com.mx.main _main = null;
public static SHARK2.keymon.com.mx.appupdater _appupdater = null;
public static SHARK2.keymon.com.mx.mapa_cliente _mapa_cliente = null;
public static SHARK2.keymon.com.mx.mapa_rutas _mapa_rutas = null;
public static SHARK2.keymon.com.mx.notificationservice _notificationservice = null;
public static SHARK2.keymon.com.mx.pendientes _pendientes = null;
public static SHARK2.keymon.com.mx.starter _starter = null;
public static SHARK2.keymon.com.mx.subs _subs = null;
public static SHARK2.keymon.com.mx.tracker _tracker = null;
public static SHARK2.keymon.com.mx.newinst2 _newinst2 = null;
public static SHARK2.keymon.com.mx.b4xpages _b4xpages = null;
public static SHARK2.keymon.com.mx.b4xcollections _b4xcollections = null;
public static SHARK2.keymon.com.mx.httputils2service _httputils2service = null;
public static SHARK2.keymon.com.mx.xuiviewsutils _xuiviewsutils = null;
public static Object[] GetGlobals(RemoteObject _ref) throws Exception {
		return new Object[] {"CallBack",_ref.getField(false, "_callback"),"DateUtils",_ref.getField(false, "_dateutils"),"db",_ref.getField(false, "_db"),"devModel",_ref.getField(false, "_devmodel"),"errorLog",_ref.getField(false, "_errorlog"),"EventName",_ref.getField(false, "_eventname"),"kmt",_ref.getField(false, "_kmt"),"phn",_ref.getField(false, "_phn"),"reqError",_ref.getField(false, "_reqerror"),"reqManager",_ref.getField(false, "_reqmanager"),"reqsList",_ref.getField(false, "_reqslist"),"ssid",_ref.getField(false, "_ssid"),"subsLogs",_ref.getField(false, "_subslogs")};
}
}